Bug 343921 - SELinux is preventing /usr/libexec/hald-addon-macbookpro-backlight (hald_mac_t) "search" to <Unknown> (sysfs_t).
Summary: SELinux is preventing /usr/libexec/hald-addon-macbookpro-backlight (hald_mac_...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-20 16:24 UTC by Ruben Kerkhof
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 03:43:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ruben Kerkhof 2007-10-20 16:24:15 UTC
Sealert output:

Source Context                system_u:system_r:hald_mac_t:s0
Target Context                system_u:object_r:sysfs_t:s0
Target Objects                None [ dir ]
Affected RPM Packages         
Policy RPM                    
Selinux Enabled               
Policy Type                   
MLS Enabled                   
Enforcing Mode                
Plugin Name                   plugins.catchall_file
Host Name                     
Platform                      
Alert Count                   1
First Seen                    Sat Oct 20 13:44:29 2007
Last Seen                     Sat Oct 20 13:44:29 2007
Local ID                      d84a357e-64a0-4fac-85b9-f0dae36d5165
Line Numbers                  6,7

Raw Audit Messages            

avc: denied { search } for comm=hald-addon-macb dev=sysfs egid=0 euid=0
exe=/usr/libexec/hald-addon-macbookpro-backlight exit=-13 fsgid=0 fsuid=0 gid=0
items=0 name=/ pid=2620 scontext=system_u:system_r:hald_mac_t:s0 sgid=0
subj=system_u:system_r:hald_mac_t:s0 suid=0 tclass=dir
tcontext=system_u:object_r:sysfs_t:s0 tty=(none) uid=0

Comment 1 Daniel Walsh 2007-10-22 14:01:09 UTC
Fixed in selinux-policy-3.0.8-29.fc8.src.rpm


Comment 2 Ruben Kerkhof 2007-10-27 14:36:42 UTC
Thanks, works ok now.


Note You need to log in before you can comment on or make changes to this bug.